// Generated by gencpp from file newbrook_greenhouse/Sens.msg
// DO NOT EDIT!


#ifndef NEWBROOK_GREENHOUSE_MESSAGE_SENS_H
#define NEWBROOK_GREENHOUSE_MESSAGE_SENS_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace newbrook_greenhouse
{
template <class ContainerAllocator>
struct Sens_
{
  typedef Sens_<ContainerAllocator> Type;

  Sens_()
    : name()
    , value(0.0)  {
    }
  Sens_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , value(0.0)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _name_type;
  _name_type name;

   typedef float _value_type;
  _value_type value;





  typedef boost::shared_ptr< ::newbrook_greenhouse::Sens_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::newbrook_greenhouse::Sens_<ContainerAllocator> const> ConstPtr;

}; // struct Sens_

typedef ::newbrook_greenhouse::Sens_<std::allocator<void> > Sens;

typedef boost::shared_ptr< ::newbrook_greenhouse::Sens > SensPtr;
typedef boost::shared_ptr< ::newbrook_greenhouse::Sens const> SensConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::newbrook_greenhouse::Sens_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::newbrook_greenhouse::Sens_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace newbrook_greenhouse

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'newbrook_greenhouse': ['/home/pi/catkin_ws/src/newbrook_greenhouse/msg'], 'std_msgs': ['/opt/ros/melodic/share/std_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::newbrook_greenhouse::Sens_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::newbrook_greenhouse::Sens_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::newbrook_greenhouse::Sens_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
{
  static const char* value()
  {
    return "db3486341a840969e8845548decf6f11";
  }

  static const char* value(const ::newbrook_greenhouse::Sens_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xdb3486341a840969ULL;
  static const uint64_t static_value2 = 0xe8845548decf6f11ULL;
};

template<class ContainerAllocator>
struct DataType< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
{
  static const char* value()
  {
    return "newbrook_greenhouse/Sens";
  }

  static const char* value(const ::newbrook_greenhouse::Sens_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string name\n"
"float32 value\n"
;
  }

  static const char* value(const ::newbrook_greenhouse::Sens_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.value);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Sens_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::newbrook_greenhouse::Sens_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::newbrook_greenhouse::Sens_<ContainerAllocator>& v)
  {
    s << indent << "name: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name);
    s << indent << "value: ";
    Printer<float>::stream(s, indent + "  ", v.value);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NEWBROOK_GREENHOUSE_MESSAGE_SENS_H
